/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENESERVICES")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgeneservices.findAll", query = "SELECT t FROM Tgeneservices t"),
    @NamedQuery(name = "Tgeneservices.findByServicecode", query = "SELECT t FROM Tgeneservices t WHERE t.servicecode = :servicecode"),
    @NamedQuery(name = "Tgeneservices.findByDescription", query = "SELECT t FROM Tgeneservices t WHERE t.description = :description"),
    @NamedQuery(name = "Tgeneservices.findByClassname", query = "SELECT t FROM Tgeneservices t WHERE t.classname = :classname"),
    @NamedQuery(name = "Tgeneservices.findByAutomatic", query = "SELECT t FROM Tgeneservices t WHERE t.automatic = :automatic")})
public class Tgeneservices implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "SERVICECODE")
    private String servicecode;
    @Column(name = "DESCRIPTION")
    private String description;
    @Column(name = "CLASSNAME")
    private String classname;
    @Column(name = "AUTOMATIC")
    private String automatic;

    public Tgeneservices() {
    }

    public Tgeneservices(String servicecode) {
        this.servicecode = servicecode;
    }

    public String getServicecode() {
        return servicecode;
    }

    public void setServicecode(String servicecode) {
        this.servicecode = servicecode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getClassname() {
        return classname;
    }

    public void setClassname(String classname) {
        this.classname = classname;
    }

    public String getAutomatic() {
        return automatic;
    }

    public void setAutomatic(String automatic) {
        this.automatic = automatic;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (servicecode != null ? servicecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgeneservices)) {
            return false;
        }
        Tgeneservices other = (Tgeneservices) object;
        if ((this.servicecode == null && other.servicecode != null) || (this.servicecode != null && !this.servicecode.equals(other.servicecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgeneservices[ servicecode=" + servicecode + " ]";
    }
    
}
